%define pear_name MDB2_Driver_mysqli

Name:           php-pear-MDB2-Driver-mysqli
Version:        1.5.0b3
Release:        2.ru
Summary:        MySQL Improved MDB2 driver

Group:          Development/Libraries
License:        BSD
URL:            http://pear.php.net/package/MDB2_Driver_mysqli
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz
Patch0:		php-pear-MDB2-Driver-mysqli-1.4.1-lob.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  php-pear >= 1.9.1
BuildRequires: 	php >= 5.3.0
Requires:       php-pear(PEAR) 
Requires:       php-pear-MDB2 >= 2.5.0
Requires(post): php-pear(PEAR)
Requires(postun): php-pear(PEAR)
Provides:       php-pear(%{pear_name}) = %{version}

%description
This is the MySQL Improved MDB2 driver.


%prep
%setup -qc
[ -f package2.xml ] || mv package.xml package2.xml
mv package2.xml %{pear_name}-%{version}/%{pear_name}.xml
cd %{pear_name}-%{version}


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
cd %{pear_name}-%{version}
rm -rf $RPM_BUILD_ROOT docdir
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{pear_name}.xml

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
install -d $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{pear_name}.xml $RPM_BUILD_ROOT%{pear_xmldir}

# Add LOB security patch (bz #379081)
# Must be patched manually after install
#pushd $RPM_BUILD_ROOT%{pear_phpdir}
#patch -p1 < %{PATCH0}
#popd


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{pear_name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%{pear_xmldir}/%{pear_name}.xml
%{pear_datadir}/%{pear_name}
%{pear_testdir}/%{pear_name}
%{pear_phpdir}/MDB2/Driver/*/mysqli.php
%{pear_phpdir}/MDB2/Driver/mysqli.php


%changelog
*Thu Feb 10 2011 Jarek Sedlacek <jarek@nbcs.rutgers.edu> - 1.5.0-2.ru
- Changed Requires php-pear(MDB2) to php-pear-MDB2 
*Wed Feb 09 2011 Jarek Sedlacek <jarek@nbcs.rutgers.edu> - 1.5.0-1.ru
- Version bump
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Nov 14 2007 Lubomir Kundrak <lkundrak@redhat.com> 1.4.1-3
- Add fix for CVE-2007-5934 MDB2 Data injection and disclosure

* Sat Sep 22 2007 Johan Cwiklinski <johan AT x-tnd DOT be> 1.4.1-2
- Requires MDB2 2.4.1 or newer

* Sun Sep 02 2007 Johan Cwiklinski <johan AT x-tnd DOT be> 1.4.1-1
- Initial Release
